<template lang="pug">
DBCollapsible.x-doc-list(ref='db' title='Associations' source='associations'
                         :parentItem='user' parentType='users'
                         :query='{ sort: "operYear:desc" }' :prefetch='false')
  template(v-slot:default='{ rows, loading, max }')
    .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row(v-if="$butils.isEmpty(rows)")
      span There are no associations.
    .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row(v-else v-for='row in rows')
       span
        strong.mr-2 {{ row.operYear }}
        InstituteLink(:id='row.institute' :institute='getInstitute(row.institute)')
</template>
<script>

export { default } from './InstitutesList.vue.js';

</script>
